summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorRobin H. Johnson <robbat2@gentoo.org>2015-08-08 13:49:04 -0700
committerRobin H. Johnson <robbat2@gentoo.org>2015-08-08 17:38:18 -0700
commit56bd759df1d0c750a065b8c845e93d5dfa6b549d (patch)
tree3f91093cdb475e565ae857f1c5a7fd339e2d781e /sci-electronics/systemc/systemc-2.2.0-r2.ebuild
downloadgentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.tar.gz
gentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.tar.bz2
gentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.zip
proj/gentoo: Initial commit
This commit represents a new era for Gentoo: Storing the gentoo-x86 tree in Git, as converted from CVS. This commit is the start of the NEW history. Any historical data is intended to be grafted onto this point. Creation process: 1. Take final CVS checkout snapshot 2. Remove ALL ChangeLog* files 3. Transform all Manifests to thin 4. Remove empty Manifests 5. Convert all stale $Header$/$Id$ CVS keywords to non-expanded Git $Id$ 5.1. Do not touch files with -kb/-ko keyword flags. Signed-off-by: Robin H. Johnson <robbat2@gentoo.org> X-Thanks: Alec Warner <antarus@gentoo.org> - did the GSoC 2006 migration tests X-Thanks: Robin H. Johnson <robbat2@gentoo.org> - infra guy, herding this project X-Thanks: Nguyen Thai Ngoc Duy <pclouds@gentoo.org> - Former Gentoo developer, wrote Git features for the migration X-Thanks: Brian Harring <ferringb@gentoo.org> - wrote much python to improve cvs2svn X-Thanks: Rich Freeman <rich0@gentoo.org> - validation scripts X-Thanks: Patrick Lauer <patrick@gentoo.org> - Gentoo dev, running new 2014 work in migration X-Thanks: Michał Górny <mgorny@gentoo.org> - scripts, QA, nagging X-Thanks: All of other Gentoo developers - many ideas and lots of paint on the bikeshed
Diffstat (limited to 'sci-electronics/systemc/systemc-2.2.0-r2.ebuild')
-rw-r--r--sci-electronics/systemc/systemc-2.2.0-r2.ebuild67
1 files changed, 67 insertions, 0 deletions
diff --git a/sci-electronics/systemc/systemc-2.2.0-r2.ebuild b/sci-electronics/systemc/systemc-2.2.0-r2.ebuild
new file mode 100644
index 00000000000..61e52e80f9b
--- /dev/null
+++ b/sci-electronics/systemc/systemc-2.2.0-r2.ebuild
@@ -0,0 +1,67 @@
+# Copyright 1999-2012 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=4
+
+inherit versionator multilib toolchain-funcs
+
+DESCRIPTION="A C++ based modeling platform for VLSI and system-level co-design"
+HOMEPAGE="http://www.systemc.org/"
+SRC_URI="${P}.tgz"
+
+SLOT="0"
+LICENSE="SOPLA-2.3"
+IUSE=""
+KEYWORDS="~amd64 ~x86"
+
+RESTRICT="fetch test"
+
+pkg_nofetch() {
+ elog "${PN} developers require end-users to accept their license agreement"
+ elog "by registering on their Web site (${HOMEPAGE})."
+ elog "Please download ${A} manually and place it in ${DISTDIR}."
+}
+
+src_prepare() {
+ sed -i -e "s:lib-\$(TARGET_ARCH):$(get_libdir):g" $(find . -name Makefile.in) || die "Patching Makefile.in failed"
+
+ sed -i -e "s:OPT_CXXFLAGS=\"-O3\":OPT_CXXFLAGS=\"${CXXFLAGS}\":g" configure || die "Patching configure failed"
+
+ sed -i -e '/#include "sysc\/utils\/sc_report.h"/a \
+#include <cstdlib> \
+#include <cstring>' src/sysc/utils/sc_utils_ids.cpp || die "Patching failed"
+
+ for sfile in src/sysc/qt/md/*.s ; do
+ sed -i -e '$a \
+#if defined(__linux__) && defined(__ELF__) \
+.section .note.GNU-stack,"",%progbits \
+#endif' "${sfile}" || die "Patching ${sfile} failed"
+ done
+}
+
+src_configure() {
+ econf --disable-dependency-tracking CXX=$(tc-getCXX)
+}
+
+src_compile() {
+ cd src
+ default
+}
+
+src_install() {
+ dodoc AUTHORS ChangeLog INSTALL NEWS README RELEASENOTES
+ doins -r docs
+ cd src
+ default
+}
+
+pkg_postinst() {
+ elog "If you want to run the examples, you need to :"
+ elog " tar xvfz ${PORTAGE_ACTUAL_DISTDIR}/${A}"
+ elog " cd ${P}"
+ elog " find examples -name 'Makefile.*' -exec sed -i -e 's/-lm/-lm -lpthread/' '{}' \;"
+ elog " ./configure"
+ elog " cd examples"
+ elog " make check"
+}